Play Loop
curl --request POST \
--url https://api.getmelody.io/device/hlc/play \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Device-Key: <x-device-key>' \
--data '
{
"velocity": 50,
"low_limit": 0,
"high_limit": 10000
}
'import requests
url = "https://api.getmelody.io/device/hlc/play"
payload = {
"velocity": 50,
"low_limit": 0,
"high_limit": 10000
}
headers = {
"X-Device-Key": "<x-device-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Device-Key': '<x-device-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({velocity: 50, low_limit: 0, high_limit: 10000})
};
fetch('https://api.getmelody.io/device/hlc/play', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Haptic Loop Control
Play Loop
Play Haptic Loop
POST
/
device
/
hlc
/
play
Play Loop
Authorizations
Short-lived session token obtained from POST /api/sessions/v2.
Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.
Headers
Device Key (4 BIP39 words) identifying the target device.
Obtain it from POST /device/otp/confirm/v2.
Pattern:
^[a-z]+-[a-z]+-[a-z]+-[a-z]+$Example:
"alpha-bravo-charlie-delta"
Body
application/json
The haptic loop control settings of the device.
The velocity of the loop as a percentage (0-100%).
Required range:
0 <= x <= 100Example:
50
The low limit of the loop stroke range [0..10000].
Required range:
0 <= x <= 10000Example:
0
The high limit of the loop stroke range [0..10000].
Required range:
0 <= x <= 10000Example:
10000
Response
200
OK
⌘I